Bug 1008729 - dietlibc srpm typo in %files
dietlibc srpm typo in %files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dietlibc (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 19:57 EDT by Japheth Cleaver
Modified: 2013-09-26 20:50 EDT (History)
1 user (show)

See Also:
Fixed In Version: dietlibc-0.33-0.1904.20120825.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 02:23:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Japheth Cleaver 2013-09-16 19:57:19 EDT
Description of problem:
Typo in %files section of .spec file causes errors on F19+; fails on older.

Version-Release number of selected component (if applicable):
dietlibc-0.33-0.1903.20120825.fc20.src.rpm

How reproducible: Always


Steps to Reproduce:
1. rpm -ivh http://download3.fedora.redhat.com/pub/fedora/linux/development/rawhide/source/SRPMS/d/dietlibc-0.33-0.1903.20120825.fc20.src.rpm
2. rpmbuild -ba dietlibc.spec


Actual results:
On F19: 
warning: File not found by glob: /home/rpmbuild/rpm/BUILDROOT/dietlibc-0.33-0.1903.20120825.fc19.x86_64/usr/lib/dietlibc/*/*.so}

On EL5/6: build fails


Expected results:
No error message.

Additional info:

--- dietlibc.spec.orig  2013-08-03 00:41:08.000000000 -0700
+++ dietlibc.spec       2013-09-16 16:36:39.469110078 -0700
@@ -152,7 +152,7 @@
 %files devel
 %defattr(-,root,root,-)
 %pkglibdir
-%exclude %pkglibdir/*/*.so}
+%exclude %pkglibdir/*/*.so
 
 
 #%files lib
Comment 1 Fedora Update System 2013-09-17 09:00:49 EDT
dietlibc-0.33-0.1904.20120825.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dietlibc-0.33-0.1904.20120825.fc20
Comment 2 Fedora Update System 2013-09-17 09:00:59 EDT
dietlibc-0.33-0.1904.20120825.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dietlibc-0.33-0.1904.20120825.fc19
Comment 3 Fedora Update System 2013-09-17 14:14:46 EDT
Package dietlibc-0.33-0.1904.20120825.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dietlibc-0.33-0.1904.20120825.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16947/dietlibc-0.33-0.1904.20120825.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-26 02:23:14 EDT
dietlibc-0.33-0.1904.20120825.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-09-26 20:50:14 EDT
dietlibc-0.33-0.1904.20120825.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.